Bug 6219 - Subscription end date resets to expiry default
Subscription end date resets to expiry default
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Subscriptions
2.3.4
All All
: P3 normal
Assigned To: Michael Felczak
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-18 02:28 PST by Michael Gotzen
Modified: 2011-01-31 12:13 PST (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS 2.3.3 (644 bytes, patch)
2010-11-18 20:51 PST, Michael Felczak
Details | Diff
Patch against OJS 2.3.3 (1.35 KB, patch)
2010-11-19 11:02 PST, Michael Felczak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gotzen 2010-11-18 02:28:59 PST
We have some subcribers where we set the subscription expiry date manually to a longer duration than the used subscription type defines.

When we edit such a subscription which is based for example on a subscription type with a predefined one year duration, the expiration date of the subcription flips back to exactly one year duration instead of keeping the expiry date which was chosen manually.

The editing form is under
PATH-TO-JOURNAL/manager/editSubscription/individual/NUMBER  
and
PATH-TO-JOURNAL/manager/editSubscription/institutional/NUMBER 

Best regards,
Michael
Comment 1 Michael Felczak 2010-11-18 20:06:08 PST
Thanks for the bug report, Michael.
Comment 2 Michael Felczak 2010-11-18 20:51:31 PST
Created attachment 3340 [details]
Patch against OJS 2.3.3
Comment 3 Michael Felczak 2010-11-18 20:52:03 PST
Fixed.
Comment 4 Michael Felczak 2010-11-19 11:02:10 PST
Created attachment 3342 [details]
Patch against OJS 2.3.3

Additional fix for leftover debugging JS.